# MVP1-12-OTC Milestone

History:

* 24.04.25: Initial Arch done in lucid by Waldemar
* 06.05.25: Ported to C4 by Stephan
* 13.05.25: Review OTC-EDP

## Design links to lucid app

* [Architecture](https://lucid.app/lucidspark/7134abcb-0c5e-41e5-93da-7118e285a668/edit?invitationId=inv_fbf0d105-7023-4740-806e-fcbb522ea61a&page=0_0#)
* [Roadmap](https://lucid.app/lucidspark/16a4c21e-5798-4562-9a59-14b54e722124/edit?invitationId=inv_17de9c72-a92f-4544-a6c3-08e52dd336a2&page=0_0#)

## Roadmap Forgejo-as-a-Service

![Roadmap](./_assets/roadmap.png)

![alt text](./_assets/8-weeks-goal.png)

## C4 Architecture

* https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/edp-doc/src/branch/development/likec4/views/deployment/otc/otc.c4

![alt text](./_assets/image.png)

![alt text](./_assets/image-1.png)

## Overall

### Architecture

![alt text](./_assets/EDPForgejoArch1.svg)

### Work packages

![alt text](./_assets/EDPForgejoArch2.svg)

## EDP Foundry

### Sub-Components 'Internal Services' and 'Central Observaability'

![alt text](./_assets/EDPForgejoArch3.svg)

## EDP (deployed per tenant)

### Sub-Components 'Kubernetes' and 'Cloud Services'

![alt text](./_assets/EDPForgejoArch4.svg)

## Operator (Provisioning Pipeline)

### Sub-Components 'Forgejo-Actions' and 'ArgoCD'  

![alt text](./_assets/EDPForgejoArch5.svg)

![alt text](./_assets/EDPForgejoArch6.svg)

## OTC EDP product review on 13.05.25

![alt text](./_assets/edp-otc-1.png)

![alt text](./_assets/edp-otc-2.png)

![alt text](./_assets/edp-otc-3.png)

![alt text](./_assets/edp-otc-4.png)

![alt text](./_assets/edp-otc-5.png)

## Mob working mode

![alt text](./_assets/mob-working.png)

## IAM (OTC)

![alt text](./_assets/iam-otc.png)

## Environment / Deployment plan

![envs](./_assets/deployment.svg)

![alt text](./_assets/deloyment-faas.png)