# EDP Design

## Mission, High level arch

* Date: May 2025

![alt text](high-level-arch.png)

* [Link to the powerpoint in internal MMS Sharepoint](https://telekom.sharepoint.de/:p:/r/sites/IPCEICIS/Freigegebene%20Dokumente/8%20Sub-Projects/Developer%20Framework/02%20Solution%20Development%20Track/EDP%20-%20High-Level%20Architecture%20-%20Draft%20v0.1.pptx?d=wa333a7fef6684bb6b606c977a82d8736&csf=1&web=1&e=bkvKwM)


We create a developer platform, comparable to replit or humanitec. In the first milestone of the product, the functionality is essentially ‘github clone’ and we use Forgejo as implementation (version control, project management, CI/CD). Forgejo is also extended as a portal, e.g. to implement functionalities such as those that exist in Backstage. The orchestration of the platform is done via Forgejo pipelines and argocd and kubernetes operators. The deployment is in a European cloud (currently OTC), completely as infrastructure as code.


## Guidelines / Competitor claims

* Railway: Every application stack is different, but the building blocks are similar. These are the core primitives behind every app hosted on Railway.

* Qovery is a DevOps Automation Tool that eliminates your DevOps hiring needs. Provision and maintain a secure and compliant infrastructure in hours - not months!
* Railway is a deployment platform that lets you provision infrastructure, develop locally with that infrastructure, and deploy to the cloud or simply run ready-made software from our template marketplace.

[![alt text](humanitec-orchestrator.png)](https://humanitec.com/products/platform-orchestrator)
